查询诊断任务列表
curl --request GET \
--url https://bptest.mapleai.cc/api/open/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://bptest.mapleai.cc/api/open/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bptest.mapleai.cc/api/open/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"created_by_type": "<string>",
"status": "<string>",
"progress": 123,
"total_tasks": 123,
"completed_tasks": 123,
"failed_tasks": 123,
"points_consumed": 123,
"created_at": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": "<string>",
"queue_message_id": "<string>",
"input_file_name": "<string>",
"output_files": [
"<string>"
],
"started_at": "<string>",
"completed_at": "<string>"
}
],
"total": 1,
"code": 0,
"message": "操作成功",
"timestamp": 123,
"page": 2,
"page_size": 2,
"total_pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}开放接口 / Open Runs
查询诊断任务列表
GET
/
api
/
open
/
runs
查询诊断任务列表
curl --request GET \
--url https://bptest.mapleai.cc/api/open/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://bptest.mapleai.cc/api/open/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bptest.mapleai.cc/api/open/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"created_by_type": "<string>",
"status": "<string>",
"progress": 123,
"total_tasks": 123,
"completed_tasks": 123,
"failed_tasks": 123,
"points_consumed": 123,
"created_at": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": "<string>",
"queue_message_id": "<string>",
"input_file_name": "<string>",
"output_files": [
"<string>"
],
"started_at": "<string>",
"completed_at": "<string>"
}
],
"total": 1,
"code": 0,
"message": "操作成功",
"timestamp": 123,
"page": 2,
"page_size": 2,
"total_pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
过滤状态
过滤流水线种类
Maximum string length:
64搜索关键词
每页数量
Required range:
1 <= x <= 100偏移量
Required range:
x >= 0Response
Successful Response
当前页的数据列表
Show child attributes
Show child attributes
总记录数
Required range:
x >= 0响应码,0表示成功,非0表示失败
响应消息
响应时间戳(可选)
当前页码
Required range:
x >= 1每页大小
Required range:
x >= 1总页数
Required range:
x >= 0